function [q,dqdx,dqdp] = qoi(x,p,xdim,kdim) 

dqdx = zeros(xdim,1);
dqdp = zeros(kdim+xdim,1); 

  q = x(1)+x(2);

  dqdx1 = 1.0;
  dqdx2 = 1.0;
  dqdx3 = 0.0;
  dqdp1 = 0.0;
  dqdp2 = 0.0;
  dqdp3 = 0.0;
  dqdp4 = 0.0;
  dqdp5 = 0.0;
  dqdp6 = 0.0;
  dqdp7 = 0.0;
  dqdp8 = 0.0;
  dqdp9 = 0.0;

dqdx(1) = dqdx1;
dqdx(2) = dqdx2;
dqdx(3) = dqdx3;
dqdp(1) = dqdp1;
dqdp(2) = dqdp2;
dqdp(3) = dqdp3;
dqdp(4) = dqdp4;
dqdp(5) = dqdp5;
dqdp(6) = dqdp6;
dqdp(7) = dqdp7;
dqdp(8) = dqdp8;
dqdp(9) = dqdp9;

end